NisusWrtStruct::FootnoteInfo Struct Reference

Internal: low level a structure helping to store the footnote information. More...

`#include <NisusWrtStruct.hxx>`

## Public Member Functions

| FootnoteInfo ()
| constructor
bool | endNotes () const
| returns true if we have endnote
bool | resetNumberOnNewPage () const
| returns true if we have to reset index at the beginning of a page

## Public Attributes

int | m_flags
| the footnote flags
int | m_distToDocument
| the distance between the footnote and the document
int | m_distSeparator
| the distance between two footnotes ( or between a footnote and the line sep)
int | m_separatorLength
| the separator length
int | m_unknown
| a unknown value

## Friends

std::ostream & | operator<< (std::ostream &o, FootnoteInfo const &fnote)
| operator<<: prints data

## Detailed Description

Internal: low level a structure helping to store the footnote information.

## Constructor & Destructor Documentation

## FootnoteInfo()

NisusWrtStruct::FootnoteInfo::FootnoteInfo | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Member Function Documentation

## endNotes()

bool NisusWrtStruct::FootnoteInfo::endNotes | ( |  | ) | const

inline

returns true if we have endnote

Referenced by NisusWrtText::sendText().

## resetNumberOnNewPage()

bool NisusWrtStruct::FootnoteInfo::resetNumberOnNewPage | ( |  | ) | const

inline

returns true if we have to reset index at the beginning of a page

Referenced by NisusWrtText::sendText().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | FootnoteInfo const & | fnote )

friend

operator<<: prints data

## Member Data Documentation

## m_distSeparator

int NisusWrtStruct::FootnoteInfo::m_distSeparator

the distance between two footnotes ( or between a footnote and the line sep)

Referenced by FootnoteInfo(), and operator<<.

## m_distToDocument

int NisusWrtStruct::FootnoteInfo::m_distToDocument

the distance between the footnote and the document

Referenced by FootnoteInfo(), and operator<<.

## m_flags

int NisusWrtStruct::FootnoteInfo::m_flags

the footnote flags

Referenced by endNotes(), FootnoteInfo(), operator<<, and resetNumberOnNewPage().

## m_separatorLength

int NisusWrtStruct::FootnoteInfo::m_separatorLength

the separator length

Referenced by FootnoteInfo(), and operator<<.

## m_unknown

int NisusWrtStruct::FootnoteInfo::m_unknown

a unknown value

Referenced by FootnoteInfo(), and operator<<.

The documentation for this struct was generated from the following file:

- NisusWrtStruct.hxx